#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sharutils
Version		:	4.15.2
Release		:	17.2.0.rel%{?dist}
Summary		:	 The GNU shar utilities for packaging and unpackaging shell archives

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0
URL		:	ftp://ftp.gnu.org/gnu/sharutils/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	binutils
BuildRequires	:	coreutils
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	make
BuildRequires	:	sed
#-----------------------------------------------------------------------------
%description
The sharutils package contains the GNU shar utilities,
a set of tools for encoding and decoding packages of
files (in binary or text format) in a special plain
text format called shell archives (shar).
This format can be sent through e-mail (which can
be problematic for regular binary files).  The shar
utility supports a wide range of capabilities (compressing,
uuencoding, splitting long files for multi-part mailings,
providing check-sums), which make it very flexible at
creating shar files.  After the files have been sent,
the unshar tool scans mail messages looking for shar files.
Unshar automatically strips off mail headers and introductory
text and then unpacks the shar files.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%doc AUTHORS NEWS README 
%license COPYING
%defattr(-, root,root,-)
%{_bindir}/shar
%{_bindir}/unshar
%{_bindir}/uudecode
%{_bindir}/uuencode
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/shar.1.gz
%{_mandir}/man1/unshar.1.gz
%{_mandir}/man1/uudecode.1.gz
%{_mandir}/man1/uuencode.1.gz
%{_mandir}/man5/uuencode.5.gz

#=============================================================================
%prep
%setup -q

#Fix a heap buffer overflow, and an issue exposed by GCC-10:
sed -i 							\
  -e 's/BUFSIZ/rw_base_size/'				\
  src/unshar.c
sed -i							\
  -e '/program_name/s/^/extern /'			\
  src/*opts.h

sed -i							\
  -e 's/IO_ftrylockfile/IO_EOF_SEEN/'			\
  lib/*.c

echo "#define _IO_IN_BACKUP 0x100" >> lib/stdio-impl.h 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__rm} -fr %{buildroot}%{_infodir}/dir

%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
